Bug 1822637 - License file is needed when `oc` is re-distributed on existing cluster
Summary: License file is needed when `oc` is re-distributed on existing cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.5.z
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1813775
Blocks: 1847323
TreeView+ depends on / blocked
 
Reported: 2020-04-09 13:52 UTC by bpeterse
Modified: 2020-08-17 20:05 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1813775
: 1822638 (view as bug list)
Environment:
Last Closed: 2020-08-17 20:05:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console-operator pull 440 None closed [release-4.5] Bug 1822637: Publish license file 2020-08-26 01:54:46 UTC
Red Hat Product Errata RHBA-2020:3330 None None None 2020-08-17 20:05:40 UTC

Comment 1 bpeterse 2020-04-14 20:11:42 UTC
We may need to make this a 4.4.z bug soon as the license files do not yet exist in the image used for 4.5 (so the 4.5 PR is not being merged).

Comment 2 bpeterse 2020-05-08 16:13:10 UTC
future sprint

Comment 5 Jakub Hadvig 2020-06-19 07:21:02 UTC
Waiting for 4.6 blocking bug to get Verified. Adding UpcomingSprint to have it re-evaluated in the next sprint.

Comment 6 Jakub Hadvig 2020-06-19 07:23:36 UTC
@Hideshi https://bugzilla.redhat.com/show_bug.cgi?id=1847141

Comment 17 Yanping Zhang 2020-08-10 09:40:00 UTC
Tested on OCP 4.5 cluster with payload 4.5.0-0.nightly-2020-08-08-162221.
Go to command line tools page, there is a link "LICENSE", click on the link, could open the license link, and license file is downloaded successfully.
The bug is fixed.

Comment 19 errata-xmlrpc 2020-08-17 20:05:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3330


Note You need to log in before you can comment on or make changes to this bug.